Bug 170229 - sysutils/ntfsprogs is in conflict with sysutils/fusefs-ntfs
sysutils/ntfsprogs is in conflict with sysutils/fusefs-ntfs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 08:40 UTC by faust64
Modified: 2012-08-30 01:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description faust64 2012-07-28 08:40:07 UTC
 --e89a8f839d33f4fdc604c5ded8d3
 Content-Type: text/plain; charset=ISO-8859-1
 Content-Transfer-Encoding: quoted-printable
 
 Hi,
 
 I can't find back the original PR, still sysutils/ntfsprogs port
 is in conflict with sysutils/fusefs-ntfs.
 
 We can validate the patch attached to the PR.
 Or we could maybe remove ntfsprogs from ports.
 
 From my point of view, the only interest of ntfsprogs, was that
 it could deal with "advanced" ntfs features (mkfs, resize, ...).
 Now that fusefs-ntfs is mature enough, maybe ntfsprogs is not
 required anymore - plus, its development seems to have stopped
 long ago, I had to patch to add vista/seven $UpCase, ...
 
 If you think it's wiser keeping it, then just validate that PR
 I can't find the number back.
 
 
 Thanks,
 
 
 Regards.
 --=20
 Samuel Mart=EDn Moro
 {EPITECH.} 2011
 SMILE - Open Source Solutions
 
 "Nobody wants to say how this works.
  Maybe nobody knows ..."
                       Xorg.conf(5)
 
 --e89a8f839d33f4fdc604c5ded8d3--
Comment 1 Mark Linimon freebsd_committer 2012-07-30 03:15:10 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

I can't tell which PR this one is a misfiled followup to, so I'll just 
edit it up as a new one.
Comment 2 Edwin Groothuis freebsd_committer 2012-07-30 03:23:07 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 3 bryan 2012-08-27 15:43:46 UTC
Referenced PR is ports/169043
Comment 4 Bryan Drewery freebsd_committer 2012-08-29 21:07:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 5 dfilter freebsd_committer 2012-08-30 01:29:59 UTC
Author: bdrewery
Date: Thu Aug 30 00:29:49 2012
New Revision: 303355
URL: http://svn.freebsd.org/changeset/ports/303355

Log:
  - Add conflicts with sysutils/fusefs-ntfs [1][2]
  - Reset maintainership per private request
  - Convert to new options framework
  - Remove ABI version from LIB_DEPENDS
  - Add LICENSE (GPL2)
  - Update to working WWW
  
  PR:		ports/169043 [1], ports/170229 [2]
  Submitted by:	"Julian H. Stacey" <jhs@berklix.com> [1]
  Approved by:	Samuel Martin Moro <faust64@gmail.com> (maintainer)
  Approved by:	eadler (mentor)

Modified:
  head/sysutils/ntfsprogs/Makefile
  head/sysutils/ntfsprogs/pkg-descr

Modified: head/sysutils/ntfsprogs/Makefile
==============================================================================
--- head/sysutils/ntfsprogs/Makefile	Wed Aug 29 22:48:55 2012	(r303354)
+++ head/sysutils/ntfsprogs/Makefile	Thu Aug 30 00:29:49 2012	(r303355)
@@ -11,11 +11,15 @@ PORTREVISION=	2
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/linux-ntfs/NTFS%20Tools%20and%20Library/${PORTVERSION}
 
-MAINTAINER=	faust64@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Utilities and library to manipulate NTFS partitions
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	fusefs-libs>2.5:${PORTSDIR}/sysutils/fusefs-libs
 
+CONFLICTS_INSTALL=	fusefs-ntfs-*
+
 USE_GNOME=	pkgconfig
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
@@ -23,10 +27,13 @@ GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS=	GNOMEVFS2 "Install GnomeVFS 2.0 libntfs interface" off \
-		LOCK "Lock the device when mounting (avoids access)" on \
-		UBLIO "Enable user space cache for improved speed" on \
-		UUID "Generate DCE compliant UUIDs" off
+OPTIONS_DEFINE=	GNOMEVFS2 LOCK UBLIO UUID
+OPTIONS_DEFAULT=LOCK UBLIO
+
+GNOMEVFS2_DESC=	Install GnomeVFS 2.0 libntfs interface
+LOCK_DESC=	Lock the device when mounting (avoids access)
+UBLIO_DESC=	Enable user space cache for improved speed
+UUID_DESC=	Generate DCE compliant UUIDs
 
 MAN8=	libntfs.8 libntfs-gnomevfs.8 mkntfs.8 \
 	ntfscat.8 ntfsclone.8 ntfscluster.8 ntfscmp.8 \
@@ -42,7 +49,7 @@ SUB_FILES=	pkg-message
 CFLAGS:=	${CFLAGS:C/-O.?/-O0/g}
 .endif
 
-.if defined(WITH_GNOMEVFS2)
+.if ${PORT_OPTIONS:MGNOMEVFS2}
 CONFIGURE_ARGS+=--enable-gnome-vfs
 USE_GNOME=	gnomevfs2
 PLIST_SUB+=	GNOMEVFS2=""
@@ -51,19 +58,19 @@ CONFIGURE_ARGS+=--disable-gnome-vfs
 PLIST_SUB+=	GNOMEVFS2="@comment "
 .endif
 
-.if defined(WITH_LOCK)
+.if ${PORT_OPTIONS:MLOCK}
 CFLAGS+=	-DUSE_LOCK
 .endif
 
-.if defined(WITH_UUID)
-LIB_DEPENDS+=	uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid
+.if ${PORT_OPTIONS:MUUID}
+LIB_DEPENDS+=	uuid:${PORTSDIR}/misc/e2fsprogs-libuuid
 CONFIGURE_ARGS+=--enable-uuid
 .else
 CONFIGURE_ARGS+=--disable-uuid
 .endif
 
-.if defined(WITH_UBLIO)
-LIB_DEPENDS+=	ublio.1:${PORTSDIR}/devel/libublio
+.if ${PORT_OPTIONS:MUBLIO}
+LIB_DEPENDS+=	ublio:${PORTSDIR}/devel/libublio
 CFLAGS+=	-DUSE_UBLIO
 .else
 pre-everything::
@@ -72,7 +79,7 @@ pre-everything::
 	@${ECHO_MSG}
 .endif
 
-.if defined(WITH_UBLIO)
+.if ${PORT_OPTIONS:MUBLIO}
 post-patch:
 	@${REINPLACE_CMD} -e 's|^libntfs_la_LIBADD =|& -lublio|' \
 		${WRKSRC}/libntfs/Makefile.in

Modified: head/sysutils/ntfsprogs/pkg-descr
==============================================================================
--- head/sysutils/ntfsprogs/pkg-descr	Wed Aug 29 22:48:55 2012	(r303354)
+++ head/sysutils/ntfsprogs/pkg-descr	Thu Aug 30 00:29:49 2012	(r303355)
@@ -9,4 +9,4 @@ ntfsprogs: various tools for managing nt
            ntfsclone, ntfsfix, ntfsundelete, ntfswipe and ntfsdecrypt.
 
 
-WWW: http://www.linux-ntfs.org/
+WWW: https://sourceforge.net/projects/linux-ntfs/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Bryan Drewery freebsd_committer 2012-08-30 01:30:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!